Bug 1786072 - "Include=" option to include configuration from urls absent in dnf
Summary: "Include=" option to include configuration from urls absent in dnf
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: dnf
Version: 8.1
Hardware: Unspecified
OS: Linux
medium
medium
Target Milestone: rc
: 8.0
Assignee: nsella
QA Contact: Radek Bíba
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-12-23 10:18 UTC by Maurizio Schena
Modified: 2020-04-28 16:49 UTC (History)
5 users (show)

Fixed In Version: dnf-4.2.17-6.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-28 16:49:06 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2020:1823 None None None 2020-04-28 16:49:22 UTC

Description Maurizio Schena 2019-12-23 10:18:49 UTC
Description of problem:

With yum v3 (in RHEL7) , there was an option to include configuration files from an url in yum.conf.
From man page:

~~~
URL INCLUDE SYNTAX

The inclusion of external configuration files is supported for /etc/yum.conf and the .repo files in the /etc/yum.repos.d directory. To include a URL, use a line of the following format:

include=url://to/some/location

The configuration file will be inserted at the position of the "include=" line. Included files may contain further include lines. Yum will abort with an error if an inclusion loop is detected
~~~


This option seems to be absent in Yum v4 (dnf in RHEL 8), and was not mentioned to have been excluded in: 

https://access.redhat.com/documentation/en-us/red_hat_enterprise_linux/8/html/considerations_in_adopting_rhel_8/software-management_considerations-in-adopting-rhel-8

Comment 1 Jaroslav Mracek 2020-01-02 14:26:01 UTC
Thank you very much for your report. Do you agree to resolve the difference by documentation in the knowledge base?

Comment 2 trehiopa 2020-01-06 08:49:30 UTC
Hello,

As long as it's documented in the changelog between DNF and YUM this issue can be closed for me

Comment 3 nsella 2020-01-10 08:07:13 UTC
I have created a pull request on Github. Is this change ok?

PR: https://github.com/rpm-software-management/dnf/pull/1569

Comment 13 mlg9000@yahoo.com 2020-03-13 19:39:16 UTC
This is an extremely useful feature in yum, for example to include a central list of updates that should be excluded.  Please consider adding this functionality into DNF.

Comment 15 errata-xmlrpc 2020-04-28 16:49:06 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:1823


Note You need to log in before you can comment on or make changes to this bug.